$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ToolsDir = Split-Path -parent $MyInvocation.MyCommand.Definition

$PackageArgs = @{
  PackageName   = $PackageName
  FileType      = 'exe'
  File64        = Get-Item $(Join-Path $ToolsDir "nyrna-windows-installer.exe")

  SoftwareName  = 'nyrna*'

  Checksum      = "904840f7a2daebe90cbb86ab8ff4e97963f73e0c35390ce691e942ba60874dd34039f49b4b8527dc6bd65c112189ce9e5bf25597b631677bc61a12ef14af5b4b"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/SILENT /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Remove-Item $(Get-Item $(Join-Path $ToolsDir "nyrna-windows-installer.exe"))

Write-Host "$PackageName registered as $App"